## org.firebirdsql.pool
Class UnknownDriverTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.firebirdsql.pool.UnknownDriverTypeException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class UnknownDriverTypeException

extends SQLException

This exception is thrown when user tries to specify unknown type of driver.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Constructor Summary
`UnknownDriverTypeException(String type)` Create instance of this class.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownDriverTypeException

    public UnknownDriverTypeException(String type)

  Create instance of this class.

Copyright © 2001-2010. All Rights Reserved.